@import '_content/Microsoft.AspNetCore.Components.QuickGrid/Microsoft.AspNetCore.Components.QuickGrid.25o87uqmvr.bundle.scp.css';

/* _content/BSRBR_RA/Components/Account/Pages/ForgotPassword.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.bordered-container[b-iipceu0ox7] {
    width: 300px;
}

input[b-iipceu0ox7] {
    width: 100%;
}

.spinner[b-iipceu0ox7] {
    margin-top: 5px;
}
/* _content/BSRBR_RA/Components/Account/Pages/Login.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.main[b-bjc40h8js8] {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.form-container[b-bjc40h8js8] {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.login-form[b-bjc40h8js8] {
    border: 2px solid #27A2DB;
    border-radius: 5px;
    width: 300px;
    padding: 10px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;
}

.form-floating[b-bjc40h8js8] {
    width: 100%;
}

input[b-bjc40h8js8] {
    width: 100%;
}

.btn[b-bjc40h8js8] {
    max-width: 50%;
}

.error-box[b-bjc40h8js8] {
    border: solid red 2px;
    border-radius: 5px;
    background-color: #FDD;
    padding: 5px;
    text-align: center;
}

.announcement[b-bjc40h8js8] {
    color: #1F497D;
    width: 60%;
    margin-top: 30px;
}
/* _content/BSRBR_RA/Components/Account/Pages/Login2fa.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.form-container[b-fcdalyq7tp] {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.login-form[b-fcdalyq7tp] {
    border: 2px solid #27A2DB;
    border-radius: 5px;
    width: 400px;
    padding: 10px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;
}

.form-floating[b-fcdalyq7tp] {
    width: 100%;
}

input[b-fcdalyq7tp] {
    width: 100%;
}
/* _content/BSRBR_RA/Components/Account/Pages/LoginRecoveryCode.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.form-container[b-5a3wwx14ye] {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.login-form[b-5a3wwx14ye] {
    border: 2px solid #27A2DB;
    border-radius: 5px;
    width: 400px;
    padding: 10px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;
}

.form-floating[b-5a3wwx14ye] {
    width: 100%;
}

input[b-5a3wwx14ye] {
    width: 100%;
}
/* _content/BSRBR_RA/Components/Account/Pages/Manage/ChangePassword.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.bordered-container[b-xq6u6y4g02] {
    width: 400px;
    margin-bottom: 10px;
}

.full-width[b-xq6u6y4g02] {
    width: 100%;
}

.error-list[b-xq6u6y4g02] {
    color: red;
    max-width: 300px;
    margin-bottom: 0px;
}
/* _content/BSRBR_RA/Components/Account/Pages/Manage/ManageAccount.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.user-details-table[b-91lw0tbynf] {
    margin-left: 50px;
    display:grid;
    grid-template-columns: 1fr 1fr;
    max-width: 600px;
}

.user-details-table > *[b-91lw0tbynf] {
    padding: 5px;
    border-bottom: 1px solid lightgrey;
    height: 100%;
    align-self: center;
}

.field-name[b-91lw0tbynf] {
    font-weight: bold;
}

.user-details-table td[b-91lw0tbynf] {
    border-bottom: 1px solid lightgrey;
    padding: 5px;
}

.login-logs-table[b-91lw0tbynf] {
    margin-bottom: 10px;
}

.login-logs-table th[b-91lw0tbynf] {
    text-align: center;
}

.login-logs-table td[b-91lw0tbynf] {
    border-bottom: 1px solid lightgrey;
    padding: 5px 20px;
}

.left-margin[b-91lw0tbynf] {
    margin-left: 10px;
}
/* _content/BSRBR_RA/Components/Account/Pages/Register.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.main[b-s0rlaom3d0] {
    display: flex;
    align-items:center;
    flex-direction:column;
}

.register-box[b-s0rlaom3d0] {
    width: 640px;
    padding: 16px;
    border: 1px solid darkgrey;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    margin-bottom: 10px;
}

.important-note[b-s0rlaom3d0] {
    width: 95%;
    background-color: #FEFFAF;
    border: 1px solid #CCBF00;
    border-radius: 5px;
    text-align: center;
    margin-bottom: 15px;
    padding: 20px;
}

.heading[b-s0rlaom3d0] {
    align-self: flex-start;
}

.btn[b-s0rlaom3d0] {
    width: 160px;
}

.label[b-s0rlaom3d0] {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-right: 15px;
    align-items: center;
    width: 50%;
}

.input-row[b-s0rlaom3d0] {
    width: 100%;
    display: flex;
    border-bottom: 1px solid lightgrey;
    padding-bottom: 5px;
    justify-content: space-between;
}

[b-s0rlaom3d0] .text-input {
    border-radius: 3px;
    border: 1px solid darkgrey;
    width: 50%;
}

.radio-group[b-s0rlaom3d0] {
    display: flex;
    width: 50%;
}

.radio-button[b-s0rlaom3d0] {
    width:30%;
    margin: 0px 10px;
    display:flex;
    gap: 5px;
}

legend[b-s0rlaom3d0] {
    font-size: 1.5rem;
    color: var(--main-text-color);
    font-weight: bold;
}
/* _content/BSRBR_RA/Components/Account/Pages/ResetPassword.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.main[b-qs97da9c37] {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.form-container[b-qs97da9c37] {
    width: fit-content;
}

input[b-qs97da9c37] {
    width: 300px;
}
/* _content/BSRBR_RA/Components/Account/Shared/CookiePolicy.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

/* duplicating the a tag styles from bootstrap, as those don't apply when it doesn't have a href */

.cookie-link[b-3an6saz1h3] {
    color: var(--main-text-color);
    text-decoration: none;
    cursor: pointer;
}

    .cookie-link:hover[b-3an6saz1h3] {
        color: #0056b3;
        text-decoration: underline;
    }

.cookie-policy[b-3an6saz1h3] {
    margin-top: 5px;
    padding: 10px;
    border-top: 1px solid #CCBF00;
    border-bottom: 1px solid #CCBF00;
    background-color: #FEFFAF;
}

.cookie-table[b-3an6saz1h3] {
    max-width: 60%;
    margin-bottom: 5px;
}

    .cookie-table th[b-3an6saz1h3], td[b-3an6saz1h3] {
        border: 1px solid black;
        padding: 5px 10px;
    }
/* _content/BSRBR_RA/Components/General/BoolSymbol.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.fa-minus[b-wm7w0jk5li] {
    color: darkgrey;
}

.fa-check[b-wm7w0jk5li] {
    color: green;
}

.fa-xmark[b-wm7w0jk5li] {
    color: red;
}
/* _content/BSRBR_RA/Components/General/BugReport.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.dialog[b-tkv332i6ug] {
    display: flex;
    flex-direction: column;
    gap: 5px;
    align-items: stretch;
}

.full-width[b-tkv332i6ug] {
    width: 100%;
}

.info-box[b-tkv332i6ug] {
    resize: vertical;
    margin-bottom: 5px;
    height: 150px
}
/* _content/BSRBR_RA/Components/General/FeedbackComponent.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.text-area[b-cvu1sdc4wz] {
    min-width: 500px;
    min-height: 200px;
    margin: 5px;
    resize: both;
}

.left-margin[b-cvu1sdc4wz] {
    margin-left: 5px;
}
/* _content/BSRBR_RA/Components/General/FupDrugAddForm.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.field-grid[b-iq4bv3z7u8] {
    display: grid;
    grid-template-columns: [first] 160px [second] auto;
    row-gap: 7px;
    align-items: center;
}

.field-title[b-iq4bv3z7u8] {
    font-weight: bold;
}

.field-entry[b-iq4bv3z7u8] {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 5px;
}

.message[b-iq4bv3z7u8] {
    grid-column: span 2;
}
/* _content/BSRBR_RA/Components/General/FupInfoHeader.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.fup-info[b-9eud84wllk] {
    padding-bottom: 5px;
    border-bottom: 1px solid lightgrey;
    margin-bottom: 5px;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    gap: 10px;
}
/* _content/BSRBR_RA/Components/General/MessageDisplay.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.alert[b-fg7mlf4vm1] {
    margin: 5px 0px;
}

.icon[b-fg7mlf4vm1] {
    cursor: pointer;
}

.floating[b-fg7mlf4vm1] {
    z-index: 99;
    position: fixed;
    top: 60px;
    left: 50%;
    -webkit-transform: translateX(-50%);
    -moz-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    transform: translateX(-50%);
}
/* _content/BSRBR_RA/Components/General/PatientIdentifiableDetails.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.key-text[b-qdzdg23qnj] {
    padding-right: 10px;
}

.key-text-box[b-qdzdg23qnj] {
    padding-bottom: 5px;
    border-bottom: 1px solid lightgrey;
    margin-bottom: 5px;
    cursor: pointer;
}
/* _content/BSRBR_RA/Components/General/StatusMessage.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.alert[b-tbd03ebivk] {
    width: 100%;
}
/* _content/BSRBR_RA/Components/Layout/LogoutInactiveUser.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.warning-dialog[b-612ns3kry9] {
    z-index: 200;
    position: fixed;
    width: fit-content;
    min-height: 40px;
    top: 70px;
    right: 30px;
}
/* _content/BSRBR_RA/Components/Layout/MainLayout.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

html[b-oburkpkzu4], body[b-oburkpkzu4] {
    height: 100%;
}

.page[b-oburkpkzu4] {
    position: relative;
    display: flex;
    flex-direction: column;
    height: 100vh;
}

main[b-oburkpkzu4] {
    flex: 1 0 auto;
}

.footer[b-oburkpkzu4] {
    flex-shrink: 0;
    display: flex;
    background-color: #0c455f;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
}

.links[b-oburkpkzu4] {
    display: flex;
    flex-direction: column;
}

    .links a[b-oburkpkzu4] {
        color: lightgrey;
        text-decoration: none;
        text-align: right;
    }
/* _content/BSRBR_RA/Components/Layout/NavMenu.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.header[b-4f5ivzkctn] {
    background-color: #27a2db;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    color: white;
}

.oi[b-4f5ivzkctn] {
    width: 2rem;
    font-size: 1.1rem;
    vertical-align: text-top;
    top: -2px;
}

.nav-item[b-4f5ivzkctn] {
    font-size: 0.9rem;
    padding-bottom: 0.25rem;
    padding-top: 0.25rem;
    height: fit-content;
}

    .nav-item:first-of-type[b-4f5ivzkctn] {
        padding-left: 1rem;
    }

    .nav-item:last-of-type[b-4f5ivzkctn] {
        padding-right: 1rem;
    }

    .nav-item[b-4f5ivzkctn]  a {
        color: #d7d7d7;
        border-radius: 4px;
    }

        .nav-item[b-4f5ivzkctn]  a.active {
            background-color: rgba(255,255,255,0.25);
            color: white;
        }

        .nav-item[b-4f5ivzkctn]  a:hover {
            background-color: rgba(255,255,255,0.1);
            color: white;
        }

.home-link[b-4f5ivzkctn] {
    font-weight: bold;
    font-size: 1.7em;
    white-space: nowrap;
}

[b-4f5ivzkctn] .nav-link {
    padding: 0.25rem 0.5rem;
}

.navigation[b-4f5ivzkctn] {
    display: flex;
    flex-direction: row;
    align-items: flex-end;
}

.end-section[b-4f5ivzkctn] {
    display: flex;
    flex-direction: row;
    align-items: flex-end;
}

.user-info[b-4f5ivzkctn] {
    background-color: rgba(0, 0, 0, 0.15);
    font-size: smaller;
    min-width: 172px;
}

[b-4f5ivzkctn] .white {
    color: white;
}
/* _content/BSRBR_RA/Components/Pages/Admin/DormantUsersPage.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.lock-button[b-b8p59nd7jr] {
    min-width: 95px;
}
/* _content/BSRBR_RA/Components/Pages/Admin/PatientSearch.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.remove-bottom-margin[b-l668162wfz] {
    margin-bottom: 0;
}

.info[b-l668162wfz] {
    margin-bottom: 5px;
}

.alert-info[b-l668162wfz] {
    margin-top: 10px;
}

.link-column[b-l668162wfz] {
    width: 130px;
}
/* _content/BSRBR_RA/Components/Pages/Admin/QueryInbox.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.messages-grid[b-o7if9xmgsi] {
    display: grid;
    grid-template-columns: 250px auto;
    grid-auto-rows: auto;
    font-size: 10pt;
}

.checkbox-container[b-o7if9xmgsi] {
    display: flex;
    flex-direction: row;
    gap: 10px;
    flex-wrap: wrap;
}

.date-row[b-o7if9xmgsi] {
    display: flex;
    flex-direction: row;
    gap: 10px;
    align-items: center;
}

.filter-container[b-o7if9xmgsi] {
    display: grid;
    grid-template-columns: [first] 160px [second] auto;
    row-gap: 5px;
    align-items: center;
}

.title[b-o7if9xmgsi] {
    text-align: right;
    margin-right: 10px;
    font-weight: bold;
}

.types-container[b-o7if9xmgsi] {
    display: flex;
    flex-direction: row;
}

.types-list[b-o7if9xmgsi] {
    height: 260px;
    width: 240px;
    overflow-y: scroll;
    background-color: white;
    border: 1px solid black;
    border-radius: 10px;
    padding: 5px;
    margin-right: 5px;
    max-height: 400px;
    min-height: 100px;
    resize: vertical;
}

.query-type-list-item[b-o7if9xmgsi] {
    cursor: pointer;
    width: fit-content;
}
/* _content/BSRBR_RA/Components/Pages/Admin/UserInformation.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

/*These styles are for the child components*/
[b-rpurg5lexk] .grid-container {
    display: grid;
    grid-template-columns: [first] 250px [second] auto;
}

[b-rpurg5lexk] .grid-container.checkbox-container {
    grid-template-columns: [first] 40px [second] auto;
}

[b-rpurg5lexk] .grid-container > div {
    border-bottom: 1px solid lightgrey;
    padding: 5px 10px;
    height: 100%;
    align-self: center;
}

[b-rpurg5lexk] .grid-container input[type=text] {
    margin: 0px;
    min-width: 300px;
}

[b-rpurg5lexk] .field-name {
    font-weight: bold;
    vertical-align: middle;
}

[b-rpurg5lexk] .btn {
    margin: 5px;
}
/* _content/BSRBR_RA/Components/Pages/Admin/UserInformationComponents/Roles.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.btn[b-zq1vaixn3s] {
    margin: 0px;
    padding: 0.5em 1em;
}
/* _content/BSRBR_RA/Components/Pages/Admin/UserInformationComponents/TrainingInfo.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.text-box[b-fq6oj5u72h] {
    min-width: 400px;
    margin: 5px;
}
/* _content/BSRBR_RA/Components/Pages/Admin/UserInformationComponents/UsersCentres.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.list-box[b-nleli1fg3s] {
    max-height: 500px;
    overflow-y: auto;
}

.checked-row[b-nleli1fg3s] {
    background-color: lightgreen;
}

.search-container[b-nleli1fg3s] {
    margin: 20px;
    display: flex;
    align-items: center;
    gap: 20px;
}

.btn[b-nleli1fg3s] {
    margin: 0px;
    padding: 0.5em 1em;
}

select[b-nleli1fg3s] {
    max-width: 80px;
}
/* _content/BSRBR_RA/Components/Pages/Admin/Users.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.main[b-gk9vrih9g7] {
    display: flex;
    flex-direction: column;
    max-height: calc(100vh - 150px);
}

h3[b-gk9vrih9g7] {
    margin: 0px;
}

.table-container[b-gk9vrih9g7] {
    overflow: auto;
}

.search-container[b-gk9vrih9g7] {
    margin-bottom: 5px;
    display: flex;
    align-items: center;
    gap: 20px;
    min-height: 80px;
}

thead[b-gk9vrih9g7] {
    position: sticky;
    top: 0;
    background: #f3f3f3;
}

.link[b-gk9vrih9g7] {
    min-width: 90px;
    max-width: 90px;
    width: 90px;
}

.text-col[b-gk9vrih9g7] {
    min-width: 20%;
}

.overflow-box[b-gk9vrih9g7] {
    overflow: auto;
    min-width: 250px;
}

.date-column[b-gk9vrih9g7] {
    min-width: 161px;
}

.date-filter-container[b-gk9vrih9g7] {
    display: flex;
    flex-direction: column;
}

.date-filter-row[b-gk9vrih9g7] {
    display: flex;
    flex-direction: row;
}

.date-filter[b-gk9vrih9g7] {
    display: flex;
    flex-direction: column;
    margin-right: 5px;
}

.bool-input-container[b-gk9vrih9g7] {
    display: flex;
    flex-direction: row;
    width: fit-content;
    align-items: center;
    gap: 10px;
}

select[b-gk9vrih9g7] {
    width: 80px;
}

/* Override the existing colour for the stripes */
table[b-gk9vrih9g7] {
    --bs-table-striped-bg: #eeeeee;
}
/* _content/BSRBR_RA/Components/Pages/Centre/AllPatients.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.search-parameters[b-1brd5h4lx4] {
    display: grid;
    grid-template-columns: [titles] 190px [inputs] auto;
    row-gap: 7px;
    align-items: center;
    justify-items: left;
}

.parameter-titles[b-1brd5h4lx4] {
    grid-column: titles;
}

.parameter-inputs[b-1brd5h4lx4] {
    grid-column: inputs;
}

.parameter-inputs-flex[b-1brd5h4lx4] {
    display: flex;
    flex-direction: row;
    gap: 10px;
    align-items: center;
}

.col-link[b-1brd5h4lx4] {
    min-width: 100px;
}

.col-consent[b-1brd5h4lx4] {
    min-width: 135px;
}

.col-nhs[b-1brd5h4lx4] {
    min-width: 100px;
}

.col-hospital[b-1brd5h4lx4] {
    min-width: 110px;
}

.col-forename[b-1brd5h4lx4] {
    min-width: 130px;
}

.col-surname[b-1brd5h4lx4] {
    min-width: 110px;
}

.col-cohort[b-1brd5h4lx4] {
    min-width: 110px;
}

.col-status[b-1brd5h4lx4] {
    min-width: 110px;
}

.col-fups[b-1brd5h4lx4] {
    min-width: 210px;
}

.queries-message[b-1brd5h4lx4] {
    margin-left: 5px;
    font-size: 10pt;
}

thead[b-1brd5h4lx4] {
    position: sticky;
    top: 0;
    background: #f3f3f3;
}

.fup-icon[b-1brd5h4lx4] {
    display:inline-block;
    width: 28px;
    height: 28px;
    background-color: grey;
    border: 2px solid grey; /* Individual status types will override background and border colour */
    text-align: center;
    border-radius: 22px;
    margin: 2px;
}

.fup-0[b-1brd5h4lx4] { /* Generated */
    /* No extra stylings: this is the default */
}

.fup-1[b-1brd5h4lx4] { /* Completed */
    background-color: green;
    border-color: green;
    color: white;
}

.fup-2[b-1brd5h4lx4] { /* In edit window */
    background-color: orange;
    border-color: orange;
}

.fup-3[b-1brd5h4lx4] { /* Verified */
    background-color: darkgreen;
    border-color: darkgreen;
    color: white;
}

.fup-4[b-1brd5h4lx4] { /* Missed */
    background-color: darkgray;
    border-color: darkgray;
}

.fup-5[b-1brd5h4lx4] { /* Queried */
    background-color: yellow;
    border-color: yellow;
}

.fup-6[b-1brd5h4lx4] { /* Moved to other cohort */
    background-color: white;
    border-color: white;
}

.fup-0.overdue[b-1brd5h4lx4] {
    border: 2px solid red;
    background-color: #fa8a8a;
}

.fup-0.due-1-month[b-1brd5h4lx4] {
    border: 2px solid pink;
    background-color: #fac4c4;
}

.fup-0.due-3-months[b-1brd5h4lx4] {
    border: 2px solid blue;
    background-color: lightblue;
}
/* _content/BSRBR_RA/Components/Pages/Centre/CentreQueryInbox.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.parameter-inputs[b-3c9c75qmp2] {
    display: grid;
    grid-template-columns: [first] 190px [second] 200px;
    row-gap: 7px;
    align-items: center;
    justify-items: left;
}

/*This is the same as QueryInbox*/
.messages-grid[b-3c9c75qmp2] {
    display: grid;
    grid-template-columns: 250px auto;
    grid-auto-rows: auto;
    font-size: 10pt;
}

.description[b-3c9c75qmp2] {
    overflow: auto;
    max-width: 70vw;
}
/* _content/BSRBR_RA/Components/Pages/Centre/DelegationLogs.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.table-container[b-576o660muo] {
    overflow-y: auto;
}

.bool-column[b-576o660muo] {
    min-width: 75px;
    width: fit-content;
}

.is-pi-text[b-576o660muo] {
    font-size: 0.6em;
    font-weight: bold;
}
/* _content/BSRBR_RA/Components/Pages/Centre/EditDelegationLog.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.grid-container[b-14hgrah1v8] {
    display: grid;
    grid-template-columns: [first] 400px [second] auto;
}

.grid-container > div[b-14hgrah1v8] {
    border-bottom: 1px solid lightgrey;
    padding: 5px 10px;
    height: 100%;
    align-self: center;
}

.grid-container input[type=text][b-14hgrah1v8] {
    margin: 0px;
    min-width: 300px;
}

.btn[b-14hgrah1v8] {
    margin: 0px;
    padding: 0.5em 1em;
}

[b-14hgrah1v8] .form-control, .form-select[b-14hgrah1v8] {
    width: 175px;
}
/* _content/BSRBR_RA/Components/Pages/Centre/FollowUpsComingUp.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.date-panel[b-2hpypc6mzu]{
    display: flex;
    gap:10px;
    margin-top: 5px;
    margin-bottom: 5px;
    align-content:center;
    align-items:center;
}
/* _content/BSRBR_RA/Components/Pages/Centre/FollowUpsDueTable.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

[b-3oocz8giax] tr:has(> td:not(:empty)) > td {
    display: table-cell;
}

[b-3oocz8giax] td:empty {
    display: none;
}

[b-3oocz8giax] tr:has(> td:not(:empty)){
    height: 2em;
} 

.no-data-message[b-3oocz8giax] {
    width:100%; 
    text-align:left;
}

.fupsTableContainer[b-3oocz8giax]{
    margin-bottom: 20px;
}
/* _content/BSRBR_RA/Components/Pages/Centre/Home.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

h1[b-raumrubold] {
    margin-bottom: 20px;
}

h2[b-raumrubold] {
    font-size: 1.3em;
}

.number-info[b-raumrubold] {
    color: red;
}

.number-info-good[b-raumrubold] {
    color: green;
}
/* _content/BSRBR_RA/Components/Pages/Centre/MissingEsiForms.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.description[b-5m2ean6rvu] {
    overflow: auto;
    max-width: 40vw;
}
/* _content/BSRBR_RA/Components/Pages/Centre/NewPatientEntry.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

/*Mostly the same as PatientDetailsEdit*/

.grid-container[b-2i04zqjm8d] {
    display: grid;
    grid-template-columns: [first] 300px [second] auto;
    padding-bottom: 10px;
}

.grid-container > div[b-2i04zqjm8d] {
    border-bottom: 1px solid lightgrey;
    padding: 5px 10px;
    height: 100%;
    align-self: center;

    display: flex;
    justify-content: center;
    flex-direction: column;
}

.grid-container input[type=text][b-2i04zqjm8d] {
    margin: 0px;
    min-width: 300px;
}

h4[b-2i04zqjm8d] {
    padding-top: 10px;
}

[b-2i04zqjm8d] .text-input {
    margin: 0px;
    width: 300px;
}

.form-group[b-2i04zqjm8d] {
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: fit-content;
}

.radio-button[b-2i04zqjm8d] {
    margin: 0px 5px;
    display: flex;
    gap: 5px;
    width: fit-content;
}

[b-2i04zqjm8d] .form-select {
    width: fit-content;
    min-width: 300px;
}

[b-2i04zqjm8d] .form-control {
    width: fit-content;
    min-width: 300px;
}

.email-field[b-2i04zqjm8d] {
    display: flex;
    flex-direction: row !important;
    justify-content: flex-start !important;
    align-items: center;
    gap: 10px;
}
/* _content/BSRBR_RA/Components/Pages/Centre/Patient/FUP/AdditionalInfo.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.grid-container[b-5frkzyaf4a] {
    display: grid;
    grid-template-columns: [first] 300px [second] auto;
    padding-bottom: 10px;
}

    .grid-container > div[b-5frkzyaf4a] {
        
        padding: 5px 10px;
        height: 100%;
        align-self: center;
        display: flex;
        justify-content:flex-start;
        flex-direction: column;
    }

    .grid-container input[type=text][b-5frkzyaf4a] {
        margin: 0px;
        min-width: 300px;
    }


.grid-col1[b-5frkzyaf4a] {
    grid-column: 1;
}

.grid-col2[b-5frkzyaf4a] {
    grid-column: 2
}

.grid-col-span[b-5frkzyaf4a] {
    grid-column: 1 / span 2
}

[b-5frkzyaf4a] .text-input {
    margin: 0px;
    width: 300px;
}

[b-5frkzyaf4a] .checkbox-input {
    margin: 0px;
    width: fit-content;
}

[b-5frkzyaf4a] .text-display {
    margin: 0px;
    width: 300px;
    background-color: inherit;
}

.weight-row[b-5frkzyaf4a] {
    display: flex;
    flex-direction: row !important;
    align-items: center;
    gap: 5px;
}

h2[b-5frkzyaf4a] {
    font-size: 1.3rem;
}

        
/* _content/BSRBR_RA/Components/Pages/Centre/Patient/FUP/AdverseEvents/AdverseEventDetailsView.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.form-grid[b-dhq8nz3x9a] {
    display: grid;
    grid-template-columns: [first] 250px [second] auto;
}

.form-grid > div[b-dhq8nz3x9a] {
    border-bottom: 1px solid lightgrey;
    padding: 5px 10px;
    height: 100%;
    align-self: center;
}
/* _content/BSRBR_RA/Components/Pages/Centre/Patient/FUP/AdverseEvents/AdverseEventForm.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.form-grid[b-c5md8zfzu6] {
    display: grid;
    grid-template-columns: [first] 250px [second] auto;
}

.form-grid > div:not(.span-columns)[b-c5md8zfzu6] {
    border-top: 1px solid lightgrey;
    padding: 5px 10px;
    height: 100%;
    align-self: center;
}

.form-grid input[type=text][b-c5md8zfzu6] {
    margin: 0px;
    min-width: 300px;
}

.date-field[b-c5md8zfzu6] {
    display: flex;
    flex-direction: row;
    align-content: center;
    gap: 5px;
}

.radio-field[b-c5md8zfzu6] {
    display: flex;
    flex-direction: column;
}

.span-columns[b-c5md8zfzu6] {
    grid-column: span 2;
    width: 100%;
    margin-bottom: 5px;
}

[b-c5md8zfzu6] .description {
    width: 500px;
}

[b-c5md8zfzu6] .description-long {
    height: 150px;
}

.radio-button[b-c5md8zfzu6] {
    cursor: pointer;
}

label[b-c5md8zfzu6] {
    width: fit-content;
}
/* _content/BSRBR_RA/Components/Pages/Centre/Patient/FUP/AdverseEvents/AdverseEvents.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.any-new-question[b-f0hhl7s0o4] {
    margin-bottom: 10px;
    display: flex;
    gap: 20px;
}

.table[b-f0hhl7s0o4] {
    width: fit-content;
}

th[b-f0hhl7s0o4] {
    min-width: 100px;
}

.alert[b-f0hhl7s0o4] {
    margin-bottom: 10px;
}

.no-aes[b-f0hhl7s0o4] {
    font-weight: bold;
    margin-bottom: 5px;
}
/* _content/BSRBR_RA/Components/Pages/Centre/Patient/FUP/AdverseEvents/AdverseEventsTable.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.esi-summary-row[b-gddjx4nwf1] {
    margin-bottom: 2px;
    border-bottom: 1px solid grey;
}

.table[b-gddjx4nwf1] {
    width: fit-content;
}

.short-description[b-gddjx4nwf1] {
    width: 305px;
}

.esi-button[b-gddjx4nwf1] {
    margin: 5px;
}
/* _content/BSRBR_RA/Components/Pages/Centre/Patient/FUP/AdverseEvents/EsiSeriousInfectionForm.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.field-grid[b-qn96bc9349] {
    display: grid;
    grid-template-columns: [first] 250px [second] auto;
}

.field-grid > div[b-qn96bc9349] {
    border-bottom: 1px solid lightgrey;
    padding: 5px 10px;
    height: 100%;
    align-self: center;
}

.span-columns[b-qn96bc9349] {
    grid-column: span 2;
    width: 100%;
}

.radio-button-group[b-qn96bc9349] {
    display: flex;
    flex-direction: row;
    gap: 30px;
    align-items: center;
}

.radio-button[b-qn96bc9349] {
    cursor: pointer;
}

[b-qn96bc9349] textarea {
    width: 500px;
    height: 100px;
}

.warning-message[b-qn96bc9349] {
    max-width: 500px;
    margin: 10px;
}
/* _content/BSRBR_RA/Components/Pages/Centre/Patient/FUP/Baseline/Comorbidity.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.form-check-label[b-c32yfvxsav]{
    float:left;
    width: 30%;
    max-height:1.5em;
    overflow: hidden;
}

.radio-button-group[b-c32yfvxsav] {
    width: fit-content;
    display: flex;
    flex-direction: row;
    gap: 20px;
}

.radio-button[b-c32yfvxsav] {
    width: fit-content;
    margin: 0px 10px;
    display: flex;
    gap: 5px;
}

.comorbidity-alert[b-c32yfvxsav] {
    display: block;
    width:fit-content;
}
/* _content/BSRBR_RA/Components/Pages/Centre/Patient/FUP/Baseline/Consent.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.main-container[b-ayf0cbdaw4] {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.form-row[b-ayf0cbdaw4] {
    margin-bottom: 5px;
    padding-bottom: 5px;
}

.flex-centre[b-ayf0cbdaw4] {
    display: flex;
    flex-direction: row;
    gap: 5px;
    align-items: center;
}

.file-table[b-ayf0cbdaw4] {
    max-width: 800px;
    min-width: 500px;
    margin-bottom: 5px;
}

.password-display[b-ayf0cbdaw4] {
    margin-bottom: 7px;
}

.extra-questions[b-ayf0cbdaw4] {
    display: grid;
    grid-template-columns: [first] 350px [second] auto;
    row-gap: 7px;
    align-items: center;
}
/* _content/BSRBR_RA/Components/Pages/Centre/Patient/FUP/Baseline/PreviousTherapies.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.table[b-8hqvetahut] {
    width: fit-content;
}

.add-button[b-8hqvetahut] {
    margin: 5px;
}

.checkbox-grid[b-8hqvetahut] {
    margin: 15px;
    display: grid;
    grid-template-columns: [first] 250px [second] auto;
    row-gap: 7px;
    align-items: center;
}

.radio-group[b-8hqvetahut] {
    display: flex;
    width: fit-content;
    flex-direction: row;
    gap: 20px;
}

.heading-accordion[b-8hqvetahut] {
    display: flex;
    flex-direction: row;
    align-items: center;
    color: var(--main-text-color); /* Same colour as headings */
    gap: 10px;
    cursor: pointer;
    width: fit-content;
}
/* _content/BSRBR_RA/Components/Pages/Centre/Patient/FUP/BiologicTargetedTherapy.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.table[b-1b7li19ee6] {
    width: fit-content;
}

.inner-table[b-1b7li19ee6] {
    margin: 0;
    border-color: black;
    width: 100%
}

.radio-button[b-1b7li19ee6] {
    width: fit-content;
    margin: 0px 0px 5px 10px;
    display: flex;
    gap: 5px;
}

.tooltip-date[b-1b7li19ee6] {
    margin: 3px;
}

.no-data-alert[b-1b7li19ee6] {
    margin: 10px 0px 20px 0px;
}
/* _content/BSRBR_RA/Components/Pages/Centre/Patient/FUP/DAS/DAS.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.main-container[b-fkdaeei5zy] {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.no-data-box[b-fkdaeei5zy] {
    margin: 10px 0px 20px 0px;
}

table[b-fkdaeei5zy] {
    width: fit-content;
}
/* _content/BSRBR_RA/Components/Pages/Centre/Patient/FUP/DAS/DasForm.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.grid-container[b-m4h7sxs8ai] {
    display: grid;
    grid-template-columns: [first] 250px [second] auto;
}

.grid-container > div[b-m4h7sxs8ai] {
    border-bottom: 1px solid lightgrey;
    padding: 5px 10px;
    height: 100%;
    align-self: center;
}

.grid-container input[type=text][b-m4h7sxs8ai] {
    margin: 0px;
    min-width: 300px;
}

.field-name[b-m4h7sxs8ai] {
    font-weight: bold;
    vertical-align: middle;
}

.radio-button[b-m4h7sxs8ai] {
    margin: 0px 5px;
    display: flex;
    gap: 5px;
    width: fit-content;
}
/* _content/BSRBR_RA/Components/Pages/Centre/Patient/FUP/EuroQol.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.question-grid[b-temqw3i13l] {
    display: grid;
    grid-template-columns: [first] 250px [second] auto;
    padding-bottom: 10px;
}

.question-grid > div[b-temqw3i13l] {
    border-bottom: 1px solid lightgrey;
    padding: 5px 10px;
    height: 100%;
    align-self: center;
}

.question-title[b-temqw3i13l] {
    font-weight: bold;
}

.radio-group[b-temqw3i13l] {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.question-answer[b-temqw3i13l] {
    width: 430px;
}

.radio-button[b-temqw3i13l] {
    margin: 0px 5px;
    display: flex;
    gap: 5px;
    width: fit-content;
}

[b-temqw3i13l] .other-input {
    margin: 5px 0px;
}
/* _content/BSRBR_RA/Components/Pages/Centre/Patient/FUP/FupDrugEdit.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.drug-grid[b-lr1mgrikqj] {
    display: grid;
    grid-template-columns: [first] 160px [second] auto;
    row-gap: 7px;
    align-items: center;
}

.dose-table[b-lr1mgrikqj] {
    width: fit-content;
}

.grid-title[b-lr1mgrikqj] {
    font-weight: bold;
}

.grid-value[b-lr1mgrikqj] {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 5px;
}

.last-element[b-lr1mgrikqj] {
    margin-bottom: 5px;
}

.grid-col-span[b-lr1mgrikqj] {
    grid-column: 1 / span 2
}
/* _content/BSRBR_RA/Components/Pages/Centre/Patient/FUP/HAQ.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.category-header[b-6kof3heff5] {
    margin-top: 5px;
}

.question-grid[b-6kof3heff5] {
    display: grid;
    grid-template-columns: [first] 300px [second] minmax(auto, 1000px);
    row-gap: 7px;
    align-items: center;
}

.question[b-6kof3heff5] {
    border-bottom: 2px solid grey;
    height: 100%;
}

.category-question[b-6kof3heff5] {
    margin-bottom: 5px;
    display: flex;
    flex-direction: column;
}

.category-question-title[b-6kof3heff5] {
    justify-content: center;
}

.category-question-answer[b-6kof3heff5] {
    gap: 2px;
    width: fit-content;
}

.bool-question-answer[b-6kof3heff5] {
    width: fit-content;
    height: 100%;
}

.bool-question-section[b-6kof3heff5] {
    margin-top: 10px;
}

.other-input[b-6kof3heff5] {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 10px;
    margin-top: 10px;
}

.radio-button[b-6kof3heff5] {
    margin: 0px 10px;
    display: flex;
    gap: 5px;
    align-items: center;
    cursor: pointer;
}
/* _content/BSRBR_RA/Components/Pages/Centre/Patient/FUP/OtherCurrentTherapy.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.radio-group[b-xfi8r90gmn] {
    display: flex;
    width: fit-content;
    flex-direction: row;
    gap: 20px;
}

.table[b-xfi8r90gmn] {
    width: fit-content;
}

.add-drug-grid[b-xfi8r90gmn] {
    display: grid;
    grid-template-columns: [first] 100px [second] auto;
    row-gap: 7px;
    align-items: center;
    margin-bottom: 5px;
}

.start-date[b-xfi8r90gmn] {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 5px;
}

.estimated-checkbox[b-xfi8r90gmn] {
    width: fit-content;
}

.checkbox-container[b-xfi8r90gmn] {
    display: grid;
    grid-template-columns: [first] 150px [second] 20px;
}

.field-grid[b-xfi8r90gmn] {
    display: grid;
    grid-template-columns: [first] 100px [second] auto;
    row-gap: 7px;
    align-items: center;
}

.field-title[b-xfi8r90gmn] {
    font-weight: bold;
}

.field-entry[b-xfi8r90gmn] {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 5px;
}

.heading-accordion[b-xfi8r90gmn] {
    display: flex;
    flex-direction: row;
    align-items: center;
    color: var(--main-text-color); /* Same colour as headings */
    gap: 10px;
    cursor: pointer;
    width: fit-content;
}

.steroids-section[b-xfi8r90gmn] {
    margin-bottom: 20px;
    margin-top: 5px;
}
/* _content/BSRBR_RA/Components/Pages/Centre/Patient/FUP/WorkingDisability.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.grid-container[b-vulw6cvhrq] {
    display: grid;
    grid-template-columns: [first] 300px [second] auto;
    padding-bottom: 10px;
}

    .grid-container > div[b-vulw6cvhrq] {
        padding: 5px 10px;
        height: 100%;
        align-self: center;
        display: flex;
        justify-content: flex-start;
        flex-direction: column;
    }

    .grid-container input[type=text][b-vulw6cvhrq] {
        margin: 0px;
        min-width: 300px;
    }


.grid-col1[b-vulw6cvhrq] {
    grid-column: 1;
}

.grid-col2[b-vulw6cvhrq] {
    grid-column: 2
}

.grid-col-span[b-vulw6cvhrq] {
    grid-column: 1 / span 2
}

[b-vulw6cvhrq] .text-input {
    margin: 0px;
    width: 300px;
}

[b-vulw6cvhrq] .text-display {
    margin: 0px;
    width: 300px;
    background-color: inherit;
}
/* _content/BSRBR_RA/Components/Pages/Centre/Patient/PatientDetailsEdit.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

/*Mostly the same as NewPatientEntry*/

.grid-container[b-02bio6yxuw] {
    display: grid;
    grid-template-columns: [first] 300px [second] auto;
    padding-bottom: 10px;
}

    .grid-container > div[b-02bio6yxuw] {
        border-bottom: 1px solid lightgrey;
        padding: 5px 10px;
        height: 100%;
        align-self: center;
        display: flex;
        justify-content: center;
        flex-direction: column;
    }

    .grid-container input[type=text][b-02bio6yxuw] {
        margin: 0px;
        min-width: 300px;
    }

h4[b-02bio6yxuw] {
    padding-top: 10px;
}

[b-02bio6yxuw] .text-input {
    margin: 0px;
    width: 300px;
}

.form-group[b-02bio6yxuw] {
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: fit-content;
}

.radio-button[b-02bio6yxuw] {
    margin: 0px 5px;
    display: flex;
    gap: 5px;
    width: fit-content;
}

[b-02bio6yxuw] .form-select {
    width: fit-content;
    min-width: 300px;
}

[b-02bio6yxuw] .form-control {
    width: fit-content;
    min-width: 300px;
}
/* _content/BSRBR_RA/Components/Pages/Centre/Patient/PatientDetailsView.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.main-patient-details[b-e4d2yqnpv7] {
    width: 100%;
    display: flex;
    flex-direction: column;
}

.view-grid[b-e4d2yqnpv7] {
    display: grid;
    grid-template-columns: [first] 200px [second] 200px;
}

.grid-cell[b-e4d2yqnpv7] {
    border-bottom: 1px solid lightgrey;
    padding-bottom: 2px;
    margin-bottom: 2px;
}

.label[b-e4d2yqnpv7] {
    font-weight: bold;
}
/* _content/BSRBR_RA/Components/Pages/Centre/Patient/PatientSummary.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.main-container[b-w5kkcctoa9] {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.cohort-container[b-w5kkcctoa9] {
    border-bottom: 1px solid lightgrey;
    margin-bottom: 5px;
    padding-bottom: 5px;
}
/* _content/BSRBR_RA/Components/Pages/Centre/Patient/QueryView.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.view-grid[b-25u4bcqa9s] {
    display: grid;
    grid-template-columns: [first] 150px [second] auto;
}

.grid-cell[b-25u4bcqa9s] {
    border-bottom: 1px solid lightgrey;
    padding-bottom: 10px;
    margin-bottom: 2px;
}

.span-row[b-25u4bcqa9s] {
    grid-column: span 2;
}

.message-metadata[b-25u4bcqa9s] {
    font-size: 12px;
    font-style: italic;
    margin-bottom: 8px;
}

.reply-box[b-25u4bcqa9s] {
    width: 600px;
    height: 150px;
}
/* _content/BSRBR_RA/Components/Pages/Centre/Patient/SwitchCohortAdmin.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.input-row[b-ravgssty60] {
    display: flex;
    flex-direction: row;
    width: 100%;
    border-bottom: 1px solid lightgrey;
    align-items: center;
    padding: 5px;
}

[b-ravgssty60] .form-select {
    margin-left: 5px;
}

[b-ravgssty60] .form-control {
    margin-left: 5px;
}

button[b-ravgssty60] {
    margin: 5px;
}
/* _content/BSRBR_RA/Components/Pages/Centre/Patient/SwitchCohortClinician.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.fields[b-feqdde4fmn] {
    display: grid;
    grid-template-columns: [first] 150px [second] auto;
    row-gap: 6px;
}

[b-feqdde4fmn] input[type="number"] {
    margin-bottom: 0px; /* The rest of the inputs are selects and dates, but number has a bottom margin by default that we need to remove*/
}

.submit-button[b-feqdde4fmn] {
    margin: 5px;
}

.field-row[b-feqdde4fmn] {
    display: flex;
    flex-direction: row;
    height: fit-content;
    align-items: center;
    gap: 5px;
}

#drug-tooltip[b-feqdde4fmn] {
    height: 20px;
}
/* _content/BSRBR_RA/Components/Pages/Centre/SiteFileDocumentsList.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.main-table[b-jz2vdzjjv4] {
    width: fit-content;
}

.section-column[b-jz2vdzjjv4] {
    width: 350px;
}

.upload-grid[b-jz2vdzjjv4] {
    display: grid;
    grid-template-columns: [first] 150px [second] max-content;
    gap: 5px;
    padding-bottom: 10px;
}

.upload-btn[b-jz2vdzjjv4] {
    margin-bottom: 5px;
}
/* _content/BSRBR_RA/Components/Pages/Centre/ViewRecordsInEditWindow.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

[b-5ag1qwjc89] tr:has(> td:not(:empty)) > td {
    display: table-cell;
}

[b-5ag1qwjc89] td:empty {
    display: none;
}

[b-5ag1qwjc89] tr:has(> td:not(:empty)) {
    height: 2em;
}

.no-data-message[b-5ag1qwjc89] {
    width: 100%;
    text-align: left;
}

.fupsTableContainer[b-5ag1qwjc89] {
    margin-bottom: 20px;
}
/* _content/BSRBR_RA/Components/Patient/CohortSummary.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.cohort-heading[b-0n0tqetq4a] {
    color: var(--main-text-color);
}

.heading-accordion[b-0n0tqetq4a] {
    font-size: 1.3rem;
    cursor: pointer;
    width: fit-content;
}

.query-accordion[b-0n0tqetq4a] {
    font-size: 1.175rem;
    font-weight: bold;
    color: var(--main-text-color);
    cursor: pointer;
    width: fit-content;
}

.heading-item[b-0n0tqetq4a] {
    margin-right: 10px;
}

.alert-info[b-0n0tqetq4a] {
    min-width: 200px;
    text-align: center;
}

.query-table-container[b-0n0tqetq4a] {
    margin: 5px 0px;
}
/* _content/BSRBR_RA/Components/Patient/FupTable.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

.edit-window-link[b-2xmmpqyhhh] {
    color: var(--main-text-color);
    text-decoration: none;
    cursor: pointer;
}

    .edit-window-link:hover[b-2xmmpqyhhh] {
        color: #0056b3;
        text-decoration: underline;
    }

.dialog[b-2xmmpqyhhh] {
    display: flex;
    flex-direction: column;
    gap: 5px;
}
/* _content/BSRBR_RA/Components/Patient/QuerySummaryTable.razor.rz.scp.css */
/*
 * SPDX-FileCopyrightText: 2025 - 2026 University of Manchester
 *
 * SPDX-License-Identifier: apache-2.0
 */

table[b-vbt5fj8sho] {
    background-color: #eeeeee;
    border-collapse: collapse;
    width: 100%;
}

thead[b-vbt5fj8sho] {
    background-color: #424242;
    border: 1px solid #424242;
    color: white;
}

td[b-vbt5fj8sho], th[b-vbt5fj8sho] {
    border: 1px solid lightgray;
    padding: 7px;
}

.messages-grid[b-vbt5fj8sho] {
    display: grid;
    grid-template-columns: 250px auto;
    grid-auto-rows: auto;
    font-size: 10pt;
}


.description[b-vbt5fj8sho] {
    overflow: auto;
    max-width: 70vw;
}
